svn commit: r309971 - head/usr.sbin/bsdinstall/scripts

Devin Teske dteske at FreeBSD.org
Tue Dec 13 01:54:45 UTC 2016


Author: dteske
Date: Tue Dec 13 01:54:44 2016
New Revision: 309971
URL: https://svnweb.freebsd.org/changeset/base/309971

Log:
  Start deconstructing a conveluted hunk of code

Modified:
  head/usr.sbin/bsdinstall/scripts/wlanconfig

Modified: head/usr.sbin/bsdinstall/scripts/wlanconfig
==============================================================================
--- head/usr.sbin/bsdinstall/scripts/wlanconfig	Tue Dec 13 01:52:10 2016	(r309970)
+++ head/usr.sbin/bsdinstall/scripts/wlanconfig	Tue Dec 13 01:54:44 2016	(r309971)
@@ -165,10 +165,12 @@ EOF
 # Try to reach wpa_supplicant. If it isn't running and we can modify the
 # existing system, start it. Otherwise, fail.
 #
-wpa_cli ping > /dev/null 2>&1 || ([ "$BSDINSTALL_CONFIGCURRENT" ] &&
-	wpa_supplicant -B -i $1 -c "$BSDINSTALL_TMPETC/wpa_supplicant.conf") ||
-	$DIALOG --backtitle "$DIALOG_BACKTITLE" --title "$msg_error" --msgbox \
-	"Could not start wpa_supplicant!" 0 0; exit 1 || exit 1
+if ! wpa_cli ping > /dev/null 2>&1; then
+	([ "$BSDINSTALL_CONFIGCURRENT" ] &&
+		wpa_supplicant -B -i $1 -c "$BSDINSTALL_TMPETC/wpa_supplicant.conf") ||
+		$DIALOG --backtitle "$DIALOG_BACKTITLE" --title "$msg_error" --msgbox \
+		"Could not start wpa_supplicant!" 0 0; exit 1 || exit 1
+fi
 
 # See if we succeeded
 wpa_cli ping > /dev/null 2>&1


More information about the svn-src-all mailing list